Bug 910176 - cannot select directory with gtk folder picker
Summary: cannot select directory with gtk folder picker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-11 22:59 UTC by Tim Waugh
Modified: 2013-03-05 23:21 UTC (History)
6 users (show)

Fixed In Version: libreoffice-3.6.5.2-4.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-05 23:21:21 UTC


Attachments (Terms of Use)

Description Tim Waugh 2013-02-11 22:59:22 UTC
Description of problem:
When trying to add Documents/Templates (from my home directory) to the list of directories used for templates, however I use the file chooser I end up with "/home/twaugh" as the chosen directory.

Version-Release number of selected component (if applicable):
libreoffice-writer-3.6.3.2-8.fc18.x86_64

How reproducible:
Always

Comment 1 Caolan McNamara 2013-02-15 12:55:27 UTC
If you use tools->options->general and tick "use libreoffice dialogs" for open/save does it work then ?

Comment 2 Tim Waugh 2013-02-15 13:20:01 UTC
Yes, it does.

Comment 3 Caolan McNamara 2013-02-15 14:19:06 UTC
Personally I think gtk_file_chooser_get_current_folder_uri is a bit screwy in the current gtk2, but nevertheless I think we're using the wrong function anyway, so committed http://cgit.freedesktop.org/libreoffice/core/commit/?id=914de32b27c7fe164b21f9247275ee3117c0864b

Comment 4 Fedora Update System 2013-02-27 19:46:28 UTC
libreoffice-3.6.5.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.5.2-5.fc18

Comment 5 Fedora Update System 2013-03-02 20:19:20 UTC
Package libreoffice-3.6.5.2-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.6.5.2-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3315/libreoffice-3.6.5.2-5.fc18
then log in and leave karma (feedback).

Comment 6 Tim Waugh 2013-03-04 11:49:19 UTC
Works fine now, thanks.

Comment 7 Fedora Update System 2013-03-05 23:21:23 UTC
libreoffice-3.6.5.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.